summaryrefslogtreecommitdiffstats
path: root/perl-install/install_any.pm
diff options
context:
space:
mode:
Diffstat (limited to 'perl-install/install_any.pm')
-rw-r--r--perl-install/install_any.pm2
1 files changed, 1 insertions, 1 deletions
diff --git a/perl-install/install_any.pm b/perl-install/install_any.pm
index 423cf14f1..d7f180123 100644
--- a/perl-install/install_any.pm
+++ b/perl-install/install_any.pm
@@ -643,7 +643,7 @@ sub kdemove_desktop_file {
#-###############################################################################
#- auto_install stuff
#-###############################################################################
-sub auto_inst_file() { ($::g_auto_install ? "/tmp" : "$::prefix/root/drakx") . "/auto_inst.cfg.pl" }
+sub auto_inst_file() { "$::prefix/root/drakx/auto_inst.cfg.pl" }
sub report_bug {
my ($prefix) = @_;
able summary='diff' class='diff'>
diff --git a/rescue/Flash/scripts/rescue_common b/rescue/Flash/scripts/rescue_common
index d09a3de1c..676a955da 100644
--- a/rescue/Flash/scripts/rescue_common
+++ b/rescue/Flash/scripts/rescue_common
@@ -1,22 +1,31 @@
#!/bin/bash
function detect_version() {
+ if has_label Share; then
+ version="1.0"
+ else
+ version="1.05"
+ fi
+}
+
+function has_label() {
+ local _label _tmpdir
+ _label=$1
_tmpdir="/tmp/$$"
mkdir -p $_tmpdir
nash --force > /dev/null 2>&1 <<EOF
-mount -t vfat LABEL=Share $_tmpdir
+mount -t vfat LABEL=$_label $_tmpdir
EOF
- if [ $? -eq 0 ]; then
- version="1.0"
- else
- version="1.05"
- fi
-
+
+ rc=$?
+
umount $_tmpdir 2> /dev/null
rmdir $_tmpdir 2> /dev/null
+
+ return $rc
}
function check_vendor() {